Bug 866071 - [abrt] tar-1.26-7.fc17: strncmp: Process /usr/bin/tar was killed by signal 11 (SIGSEGV)
[abrt] tar-1.26-7.fc17: strncmp: Process /usr/bin/tar was killed by signal 11...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
abrt_hash:e6aa29657cb59249763149a45f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 13:51 EDT by Ahel ibn Alquivr
Modified: 2016-06-01 02:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 02:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.02 KB, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: environ (2.97 KB, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: event_log (548 bytes, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: backtrace (73.35 KB, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: maps (4.63 KB, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: dso_list (986 bytes, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: var_log_messages (10.16 KB, text/plain)
2012-10-13 13:51 EDT, Ahel ibn Alquivr
no flags Details
File: open_fds (326 bytes, text/plain)
2012-10-13 13:52 EDT, Ahel ibn Alquivr
no flags Details

  None (edit)
Description Ahel ibn Alquivr 2012-10-13 13:51:04 EDT
Description of problem:
i was trying to untar a folder of 20Gb. Since I've commanded a -M it said "prepare the second volume and give enter", but since I didn't know what i was doing I entered enter and it crashed.

Version-Release number of selected component:
tar-1.26-7.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        tar -xf 'xxxxxxxxxx.tar' -M -ignore-failed-read
crash_function: strncmp
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 strncmp at ../sysdeps/x86_64/strcmp.S
: #1 try_new_volume at buffer.c
: #2 _gnu_flush_read at buffer.c
: #3 gnu_flush_read at buffer.c
: #4 flush_read at buffer.c
: #5 flush_archive at buffer.c
: #6 find_next_block at buffer.c
: #7 extract_file at extract.c
: #8 extract_archive at extract.c
: #9 read_and at list.c
Comment 1 Ahel ibn Alquivr 2012-10-13 13:51:09 EDT
Created attachment 626600 [details]
File: core_backtrace
Comment 2 Ahel ibn Alquivr 2012-10-13 13:51:14 EDT
Created attachment 626601 [details]
File: environ
Comment 3 Ahel ibn Alquivr 2012-10-13 13:51:18 EDT
Created attachment 626602 [details]
File: event_log
Comment 4 Ahel ibn Alquivr 2012-10-13 13:51:23 EDT
Created attachment 626603 [details]
File: limits
Comment 5 Ahel ibn Alquivr 2012-10-13 13:51:32 EDT
Created attachment 626604 [details]
File: backtrace
Comment 6 Ahel ibn Alquivr 2012-10-13 13:51:37 EDT
Created attachment 626605 [details]
File: cgroup
Comment 7 Ahel ibn Alquivr 2012-10-13 13:51:42 EDT
Created attachment 626606 [details]
File: maps
Comment 8 Ahel ibn Alquivr 2012-10-13 13:51:47 EDT
Created attachment 626607 [details]
File: dso_list
Comment 9 Ahel ibn Alquivr 2012-10-13 13:51:55 EDT
Created attachment 626608 [details]
File: var_log_messages
Comment 10 Ahel ibn Alquivr 2012-10-13 13:52:00 EDT
Created attachment 626609 [details]
File: open_fds
Comment 11 Pavel Raiskup 2012-10-16 04:14:43 EDT
Thanks for the report!

I'm able to reproduce your problem even with upstream tar.  I'll try to observe
where is the problem.

Pavel
Comment 12 Pavel Raiskup 2012-11-02 10:23:28 EDT
Upstream proposal:

http://lists.gnu.org/archive/html/bug-tar/2012-11/msg00008.html
Comment 13 Fedora End Of Life 2013-07-04 02:27:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Pavel Raiskup 2013-07-04 03:09:18 EDT
As this is upstream problem, moving to Rawhide (it can be backported to stable
release once fixed upstream).
Comment 15 Jan Kurik 2015-07-15 10:58:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 16 Mike McCune 2016-03-28 19:21:47 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 17 Pavel Raiskup 2016-06-01 02:06:44 EDT
The crash is fixed upstream: 0a93c16c6299d4ea91f2eb04f8c997d7d58f9af8

Released in v1.29 (F25+).

Note You need to log in before you can comment on or make changes to this bug.